Skip to main content
GET
Check Repo Access

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

projectId
string
required

The project's id (UUID) or slug — either form is accepted.

Query Parameters

repo
string
required

Repository to check, as "owner/repo".

Pattern: ^[A-Za-z0-9_.-]+/[A-Za-z0-9_.-]+$

Response

The access check result.

accessible
boolean
required
installUrl
string
required

Where to grant the platform access to repositories.

reason
enum<string>

Present when not accessible: the Korve GitHub App is not installed on that repository, or repo is not a valid "owner/repo" value.

Available options:
not_installed,
invalid